Arch: BuildingPart

From FreeCAD Documentation
Revision as of 12:34, 1 December 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Arch BuildingPart

poziția meniului
Arch → BuildingPart
Ateliere
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch Building, Arch Floor

Descriere

BuildingPart intenționează să înlocuiască Arch Floor cu o versiune mai capabilă care să poată fi utilizată nu numai pentru crearea de podele/etaje/niveluri ci și pentru toate tipurile de situații în care trebuie să fie grupate diferite obiecte Arch/BIM și acel grup ar putea fi necesar să fie tratate ca un obiect sau replicate.

Cum se folosește

  1. Optional, selectați unul sau mai multe obiecte pentru a fi incluse în noul Building Part
  2. Apăsați butonul Arch BuildingPart

Notes

BuildingParts have a built-in, implicit Arch SectionPlane. introduced in version 0.19

This plane is always parallel to the BuildingPart's base plane, but you can specify the offset between them. So all tools that work with a section plane, such as Draft Shape2DView and TechDraw ArchView also work with BuildingParts.

Opţiuni

  • După ce ați creat un BuildingPart, puteți să adăugați mai multe obiecte prin glisarea și plasarea lor în Tree View sau utilizând instrumentul Arch Add
  • Puteți să eliminați obiecte dintr-un BuildingPart prin tragerea și plasarea lor din Tree View sau utilizând instrumentul Arch Remove
  • Dând dublu clic pe obiectul BuildingPart din vizualizarea arborescentă, Working Plane va fi setat la locația sa, iar BuildingPart va deveni activ, ceea ce înseamnă că vor fi adăugate automat noi obiecte. Dacă dați dublu clic pe BuildingPart din nou, îl dezactivați și setați planul de lucru înapoi în poziția sa anterioară
  • BuildingPart poate afișa un marcaj în vizualizarea 3D cu o etichetă și indicarea nivelului
  • Când un BuildingPart este mutat / rotit, toți copiii acestuia care nu au nici o proprietate "Move With Host" sau o pornesc, se vor mișca/roti împreună.
  • Elementele de construcție pot fi cloned
  • Componentele de construcție pot lua orice tip de IFC

Proprietăți

  • DateHeight: The height of this object
  • DateLevelOffset: The level of the (0,0,0) point of this level
  • DateArea: The computed floor area of this floor
  • DateIfcRole: The role of this object
  • DateDescription: An optional description for this component
  • DateTag: An optional tag for this component
  • DateIfcAttributes: Custom IFC properties and attributes
  • VizualizareLineWidth: The line width of this object
  • VizualizareOverrideUnit: An optional unit to express levels
  • VizualizareDisplayOffset: A transformation to apply to the level mark
  • VizualizareShowLevel: If true, show the level
  • VizualizareShowUnit: If true, show the unit on the level tag
  • VizualizareSetWorkingPlane: If true, when activated, the working plane will automatically adapt to this level
  • VizualizareOriginOffset: If true, when activated, Display offset will affect the origin mark too
  • VizualizareShowLabel: If true, when activated, the object's label is displayed
  • VizualizareFontName: The font to be used for texts
  • VizualizareFontSize: The font size of texts
  • VizualizareRestoreView: If set, the view stored in this object will be restored on double-click
  • VizualizareDiffuseColor: The individual face colors

View

  • VizualizareLineWidth: The line width of this object
  • VizualizareOverrideUnit: An optional unit to express levels
  • VizualizareDisplayOffset: A transformation to apply to the level mark
  • VizualizareShowLevel: If true, show the level
  • VizualizareShowUnit: If true, show the unit on the level tag
  • VizualizareSetWorkingPlane: If true, when activated, the working plane will automatically adapt to this Building Part
  • VizualizareOriginOffset: If true, when activated, Display offset will affect the origin mark too
  • VizualizareShowLabel: If true, when activated, the object's label is displayed
  • VizualizareFontName: The font to be used for texts
  • VizualizareFontSize: The font size of texts
  • VizualizareRestoreView: If set, the view stored in this object will be restored on double-click
  • VizualizareDiffuseColor: The individual face colors

introduced in version 0.19

  • VizualizareChildrenOverride: If set, the settings below will affect the children of this Building Part
  • VizualizareChildrenLineWidth: The line width to apply to the children of this Building Part
  • VizualizareChildrenLineColor: The line color to apply to the children of this Building Part
  • VizualizareChildrenShapeColor: The shape color to apply to the children of this Building Part
  • VizualizareChildrenTransparency: The transparency to apply to the children of this Building Part

Scrip-Programare

Instrumentul BuildingPart poate fi utilizat în macro-uri și din consola Python utilizând următoarea funcție:

BuildingPart = makeBuildingPart(objectslist=None)

creează o BuildingPart incluzând obiectele din lista dată.

Exempluː

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()